Brands
Get brand
Admin only.
GET
/
api
/
brands
/
{id}
Get brand
curl --request GET \
--url https://spitshake.io/api/brands/{id} \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://spitshake.io/api/brands/{id}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://spitshake.io/api/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brand": {
"id": 7,
"name": "Acme Legal",
"branding": {
"display_title": "Acme Legal",
"logo_url": "https://cdn.example.com/acme/logo.png",
"favicon_url": "https://cdn.example.com/acme/favicon.png",
"company_name": "Acme Legal LLP",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": true
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Authorizations
ApiTokenSessionCookie
API token generated at Settings > API
Path Parameters
Response
Brand details
A named set of branding for accounts that sign on behalf of more than one brand. A template or submission uses it by setting preferences.brand_id to its id.
Show child attributes
Show child attributes
⌘I
Get brand

